import React from 'react';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
import { DoifDataProps } from '../../props/DoifCommonProps';
interface RadioProps {
    /** 보여줄 라디오박스의 배열입니다. { code: string, name: string} */
    data: Array<DoifDataProps>;
    /** 선택할 라디오박스 code 값입니다. */
    value: string;
    /** 라디오박스의 name 속성입니다. */
    name: string;
    /** 라디오박스의 색상을 정합니다. */
    color: DoifColorType;
    /** 라디오박스를 비활성화 시킵니다. */
    disabled: boolean;
    /** 라디오박스의 defaultValue를 설정합니다. */
    defaultValue?: DoifDataProps;
    /** 라디오박스를 변경했을 때 실행되는 콜백함수입니다. */
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
declare const _default: React.MemoExoticComponent<{
    ({ data, value, name, color, disabled, defaultValue, onChange, }: RadioProps): JSX.Element;
    defaultProps: {
        color: string;
        disabled: boolean;
    };
}>;
export default _default;
