import React from 'react';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
interface SideMenuProps {
    /** 메뉴가 펼쳐졌을 때 보여줄 logo 입니다. */
    bigLogo: React.DetailedHTMLProps<React.ImgHTMLAttributes<HTMLImageElement>, HTMLImageElement>;
    /** 메뉴가 접혔을 때 보여줄 logo 입니다. */
    smallLogo: React.DetailedHTMLProps<React.ImgHTMLAttributes<HTMLImageElement>, HTMLImageElement>;
    /** 메뉴를 펼칠 지, 접을 지 정합니다. */
    isFold: boolean;
    /** `bigLogo`, `smallLogo`를 클릭했을 때, 이동할 url 입니다. */
    homeUrl: string;
    /** `SideMenu` 컴포넌트의 색상을 정합니다. */
    color: DoifColorType;
    /** `SideMenu` 컴포넌트에서 보여줄 메뉴들입니다. */
    items: Array<CategoryProps | MenuProps>;
}
export interface CategoryProps {
    code: string;
    name: string;
    depth?: number;
    icon?: string;
    childrenItems?: Array<CategoryProps | MenuProps>;
    isOpen?: boolean;
    openItemCodes?: string[];
    onClickCategory?: (depth: number | undefined, code: string) => void;
    onClickMenu?: (menu: string) => void;
    color?: DoifColorType;
    selectedMenu?: string;
    isFold?: boolean;
}
export interface MenuProps {
    code: string;
    name: string;
    depth?: number;
    icon?: string;
    url: string;
    onClickMenu?: (menu: string) => void;
    selectedMenu?: string;
    isFold?: boolean;
}
declare const _default: React.MemoExoticComponent<{
    ({ bigLogo, smallLogo, homeUrl, isFold, color, items, }: SideMenuProps): JSX.Element;
    defaultProps: {
        color: string;
        isFold: boolean;
        homeUrl: string;
    };
}>;
export default _default;
