import React from 'react';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
interface TabDataProps {
    id: string;
    name: string;
    disabled: boolean;
    content: React.ReactNode;
}
interface TabProps {
    /** `Tab` 컴포넌트를 구성하는 아이템 배열입니다. { id:string, name:string, disabled:boolean, content: React.ReactNode } */
    tabs: Array<TabDataProps>;
    /** 선택할 TabId 입니다. */
    selected: string;
    /** 탭 그룹에 필요한 name입니다. */
    name: string;
    /** 탭의 색상을 정합니다.  */
    color: DoifColorType;
    /** 탭의 최소 높이를 정합니다. */
    height: string | number;
    /** 탭을 변경했을 때 실행되는 콜백함수입니다. */
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
declare const _default: React.MemoExoticComponent<{
    ({ tabs, selected, name, color, height, onChange }: TabProps): JSX.Element;
    defaultProps: {
        color: string;
        height: string;
    };
}>;
export default _default;
