import React from 'react';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
interface TextareaProps extends React.DetailedHTMLProps<React.TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement> {
    /** textarea의 색을 정합니다. */
    color: DoifColorType;
    /** textarea의 넓이를 설정합니다. */
    width: string | number;
    /** textarea을 비활성화 시킵니다. */
    disabled: boolean;
    /** textarea의 크기 조정 옵션을 설정합니다. */
    resize: 'none' | 'both' | 'vertical' | 'horizontal';
    /** textarea의 `rows` 속성을 설정합니다. */
    rows: number;
    /** placeholder를 설정합니다. */
    placeholder?: string;
}
declare const _default: React.MemoExoticComponent<{
    ({ color, width, disabled, placeholder, resize, rows, ...props }: TextareaProps): JSX.Element;
    defaultProps: {
        color: string;
        width: string;
        disabled: boolean;
        resize: string;
        rows: number;
    };
}>;
export default _default;
